Bug 150113 - hotplug doesn't load sg kernel module for tape changers
hotplug doesn't load sg kernel module for tape changers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 11:35 EST by John Wojtowicz
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2004_09_23_3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 12:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix changer typo in /etc/hotplug/scsi.agent (396 bytes, patch)
2005-03-02 11:51 EST, John Wojtowicz
no flags Details | Diff

  None (edit)
Description John Wojtowicz 2005-03-02 11:35:03 EST
Description of problem:

Hotplug doesn't load sg kernel module for tape changers, i.e.
attaching a tape changer doesn't cause the sg module to get
loaded so that you can use /dev/sgX for moving, the tapes,
etc.

Basically this comes down to a typo in /etc/hotplug/scsi.agent

See below for a patch!

Version-Release number of selected component (if applicable):
Fedora Core 3 (fully updated)

How reproducible:

Add a scsi tape changer and look for the /dev/sgX files after 
a reboot.

Steps to Reproduce:

See the above.
  
Actual results:
no /dev/sgX files.

Expected results:

/dev/sgX files!

Additional info:

none
Comment 1 Bill Nottingham 2005-03-02 11:43:05 EST
I'm not seeing the patch attached here....
Comment 2 John Wojtowicz 2005-03-02 11:51:12 EST
Created attachment 111582 [details]
Patch to fix changer typo in /etc/hotplug/scsi.agent

Patch made relative to the /etc/hotplug directory.
Comment 3 John Wojtowicz 2005-03-02 11:53:54 EST
Sorry, took a break momentarily! ;-)
Comment 4 Bill Nottingham 2005-03-02 12:30:50 EST
THanks, will be in the next build!
Comment 5 Tim Powers 2005-06-09 08:28:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-129.html

Note You need to log in before you can comment on or make changes to this bug.